:root {
  --color-primary: #2560d8;
  --color-yellow: #e2ee4e;
  --color-red: #ef5311;
  --color-tomato: #ff4f00;
  --color-bg: #fafafa;

  --color-text: #272928;
  --color-subtext: #505251;
  --color-light-text: #7f7f7f;

  --container-width: 1600px;

  --padding-section: clamp(20px, 6vw, 70px);

  --shadow: 0 4px 10px #00000036;
}

/* =============================
   COMPANY CONTACTS
============================= */

.company-contacts {
  padding: clamp(40px, 6vw, 80px) 0;
}
.company-contacts__inner {
  display: flex;
  gap: 40px;
}

/* Map */
.company-contacts__map {
  flex: 1;
}
.company-contacts__map-inner {
  width: 100%;
  height: 280px;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: var(--shadow);
}
iframe {
  border: none;
  border-radius: 20px;
  width: 100%;
}
.company-contacts__map-inner iframe {
  width: 100%;
  height: 100%;
}
.map-placeholder {
  width: 100%;
  height: 280px;
  border-radius: 20px;
  background: linear-gradient(135deg, #e6f0ff, #f4f8ff);
  display: flex;
  align-items: center;
  justify-content: center;
  color: #6b86c4;
  font-size: 14px;
}
.popup__content {
  display: none;
}

/* Info */
.company-contacts__info {
  display: flex;
  flex-direction: column;
  gap: 20px;
  flex: 1;
}

.company-contacts__title {
  font-size: clamp(22px, 3vw, 28px);
  margin-bottom: 8px;
}

.company-contacts__item {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.company-contacts__label {
  font-size: 14px;
  color: var(--color-light-text);
  font-weight: 300;
  line-height: 124%;
  letter-spacing: 0.3px;
  margin-bottom: 2px;
}

.company-contacts__value {
  font-size: 20px;
  color: var(--color-text);
  font-weight: 600;
  line-height: 124%;
}
.company-contactslink {
  font-weight: 500;
  border-bottom: 1px solid;
  width: max-content;
}
.company-contacts__link {
  color: var(--color-primary);
}

.vacancy-card {
  background: #fff;
  border-radius: 16px;
  box-shadow: var(--shadow);
  margin-bottom: 24px;
}

/* HEAD */
.vacancy-head {
  position: relative;
  padding: 16px;
  padding-bottom: 0;
}

.vacancies-filters {
  width: max-content;
  background: #ffffffba;
  padding: 4px;
  border-radius: 24px;
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
  margin-bottom: 16px;
}
.filter-btn {
  padding: 10px 20px;
  border-radius: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  background: transparent;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 0.04em;
  cursor: pointer;
}
.filter-btn:hover {
  background-color: #d3d3d326;
}
.filter-btn.is-active {
  background: var(--color-yellow);
}
.vacancy-title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 15px;
  flex-wrap: wrap;
}
.vac-req-plus{
  margin-bottom: 20px;
  color: var(--color-subtext);
  font-size: 14px;
}
.vacancy-salary {
  color: var(--color-primary);
  font-weight: 600;
  margin-bottom: 12px;
}

.vacancy-meta {
  display: flex;
  gap: 8px;
  flex-wrap: wrap;
}

.meta {
  background: #f2f7ff;
  padding: 7px 8px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  gap: 8px;
}
.meta img {
  width: 25px;
  height: 25px;
}
/* BODY */
.vacancy-body {
  display: none;
}

.vacancy-card.is-open .vacancy-body {
  display: block;
}

.vacancy-section {
  padding: 16px;
  padding-bottom: 0;
}
.our-offers {
  border-top: 1px solid #edf3f2;
  border-bottom: 1px solid #edf3f1;
}
.vacancy-highlight h5 {
  color: var(--color-primary);
}

.vacancy-section h5 {
  margin: 10px 0;
}

.vacancy-section ul {
  padding-left: 18px;
  list-style: disc;
  margin-left: 10px;
}

.vacancy-section li {
  margin-bottom: 6px;
}

/* Highlight block */
.vacancy-highlight {
  background: #f4f7ff;
  padding: 16px;
}

/* Tech grid */
.vacancy-tech {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
  margin-bottom: 10px;
}

.tech-item {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 14px;
  justify-content: center;
  min-height: 140px;
  flex-direction: column;
}
.tech-image {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 45px;
  max-width: 80px;
}
/* .tech-image img {
  width: 100%;
} */
.tech-desc {
  text-align: center;
}
.tech-name {
  font-weight: 600;
  margin-bottom: 8px;
  display: flex;
  justify-content: center;
  gap: 5px;
}
.tech-skill {
  color: var(--color-subtext);
}
.accent {
  color: var(--color-tomato);
}
/* FOOTER */
.vacancy-footer {
  margin-top: 24px;
  display: flex;
  gap: 24px;
  flex-wrap: wrap;
  padding: 20px 15px;
  padding-top: 0;
}
.vacancy-toggle {
  color: var(--color-primary);
  background: none;
  border: none;
  cursor: pointer;
}

/* ================= DOCUMENTS ================= */
.documents {
  background: #fff;
  border-radius: 20px;
  padding: 24px;
  box-shadow: var(--shadow);
}
.documents-title {
  text-align: center;
  margin-bottom: 10px;
}

.documents-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
}

.document-card {
  text-align: center;
  padding: 24px 16px;
  border-radius: 16px;
  text-decoration: none;
  color: inherit;
  transition: background 0.2s ease, transform 0.2s ease;
}

.document-card:hover {
  background: #f6f8fc;
  transform: translateY(-2px);
}

.document-icon {
  margin-bottom: 16px;
}

.document-icon img {
  width: 48px;
  height: 48px;
  opacity: 0.6;
}

.document-title {
  font-size: 18px;
  margin-bottom: 16px;
  color: var(--color-text);
}

.document-text {
  font-size: 16px;
  color: var(--color-subtext);
  line-height: 130%;
}

/* ================= ADAPTIVE ================= */

@media (max-width: 1024px) {
  .documents-grid {
    grid-template-columns: 1fr;
  }
}

/* <= 768px */
@media (max-width: 768px) {
  .company-contacts__container {
    grid-template-columns: 1fr;
  }

  .map-placeholder {
    height: 220px;
  }
  .company-contacts__inner {
    flex-direction: column;
  }
  .vacancy-tech {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 520px) {
  .vacancy-tech {
    grid-template-columns: repeat(1, 1fr);
  }
  .tech-item {
    background: #f2f7ff;
    border-radius: 8px;
  }
}

/* <= 480px */
@media (max-width: 480px) {
  .map-placeholder {
    height: 200px;
  }
  .company-contacts__value {
    font-size: 16px;
  }
  .company-contacts__info {
    gap: 16px;
  }
  .vacancies-filters {
    flex-direction: column;
    width: 100%;
  }
  .filter-btn {
    width: 100%;
  }
}
